#
# spec file for package id_utils (Version 3.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ge_exec xaw3d

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         id_utils
Release:      18
Copyright:    GPL
Group: 
Provides:     id-utils 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Language-independent identifier database tool
Version:      3.2
Source: ftp://ftp.gnu.org/pub/gnu/id-utils-3.2.tar.gz
Patch: id-utils-3.2.dif
BuildRoot: /var/tmp/id-utils
%description
mkid is a simple, fast, high-capacity, language-independent
identifier database tool.  Actually, the term `identifier' is too
limiting -- mkid stores tokens, be the program identifiers of any
form, literal numbers, or words of human-readable text.  Database
queries can be issued from the command-line, or from within emacs,
serving as an augmented tags facility.

Authors:
--------
    McGary <gkm@gnu.ai.mit.edu>
    <Tom.Horsley@mail.hcsc.com>

%prep
%setup -n id-utils-3.2
%patch -p 1
./configure --prefix=/usr
%build
export LC_CTYPE=ISO-8859-1
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
%install
make install prefix=$RPM_BUILD_ROOT/usr
install -d $RPM_BUILD_ROOT/var/lib/id-utils
install -m644 libidu/id-lang.map $RPM_BUILD_ROOT/var/lib/id-utils
rm -f $RPM_BUILD_ROOT/usr/share/id-lang.map
install -d $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -m644 lisp/id-utils.el lisp/id-utils.elc \
              $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -d $RPM_BUILD_ROOT/usr/share
(cd $RPM_BUILD_ROOT/usr/share \
    && ln -s ../../var/lib/id-utils/id-lang.map id-lang.map)
export RPM_BUILD_ROOT
Check
%files
%doc ABOUT-NLS AUTHORS COPYING NEWS README THANKS TODO
%config /var/lib/id-utils/id-lang.map
%dir /var/lib/id-utils
/usr/share/id-lang.map
/usr/share/emacs/site-lisp/id-utils.elc
/usr/share/emacs/site-lisp/id-utils.el
/usr/share/locale/de/LC_MESSAGES/id-utils.mo
/usr/share/locale/fr/LC_MESSAGES/id-utils.mo
/usr/bin/mkid
/usr/bin/lid
/usr/bin/fid
/usr/bin/fnid
/usr/bin/xtokid
/usr/bin/eid
/usr/bin/aid
/usr/bin/gid
/usr/bin/defid
/usr/info/id-utils.info.gz

